#! /bin/bash -xue

which massoud

cat > export_png.mcr << 'EOF'
#!MC 1120
$!EXPORTSETUP IMAGEWIDTH = 850
$!EXPORTSETUP EXPORTFORMAT = PNG
$!EXPORT EXPORTREGION = ALLFRAMES
EOF

cat > export_swf.mcr << 'EOF'
#!MC 1200
$!EXTENDEDCOMMAND 
  COMMANDPROCESSORID = 'Strand Editor'
  COMMAND = 'ZoneSet=1-17;AssignStrands=TRUE;StrandValue=1;AssignSolutionTime=TRUE;TimeValue=0;TimeOption=ConstantDelta;DeltaValue=1;'
$!EXPORTSETUP EXPORTFORMAT = FLASH
$!EXPORTSETUP IMAGEWIDTH = 850
$!ANIMATETIME 
  STARTTIME = 0
  ENDTIME = 16
  SKIP = 1
  CREATEMOVIEFILE = YES
  LIMITSCREENSPEED = NO
  MAXSCREENSPEED = 12
EOF

design_dir=${PWD}

trap "cat ${design_dir}/run_tutorial.out" EXIT

cd ammo

  opt_driver \
    --setup_design 1 \
    > ../run_tutorial.out 2>&1 << EOF
'${design_dir}'
'/dev/null'
'/dev/null'
EOF

  cp -f design.nml-1 design.nml

  opt_driver \
    --sleep_delay 5 \
    >> ../run_tutorial.out 2>&1

  cp -f design.nml-2 design.nml

  opt_driver \
    --sleep_delay 5 \
    >> ../run_tutorial.out 2>&1

cd ..

cd model.1/Flow

  tec360 -quiet -b -p ../../export_png.mcr \
    -y inviscid_hist.png inviscid_hist.lay

cd ../..

cd model.1/Adjoint

  tec360 -quiet -b -p ../../export_png.mcr \
    -y hist.png hist.lay

cd ../..

cd ammo

  cp -f design.nml-3 design.nml

  opt_driver \
    --sleep_delay 5 \
    >> ../run_tutorial.out 2>&1

cd ..

trap - EXIT

cd model.1/Flow

  tec360 -quiet -b -p ../../export_png.mcr \
    -y inviscid_hist_design.png inviscid_hist_design.lay

cd ../..

cd model.1/Rubberize/surface_history

  tec360 -quiet -b -p ../../../export_png.mcr \
    -y surface_animation.png surface_animation.lay

  tec360 -quiet -b -p ../../../export_swf.mcr \
    -y surface_animation.swf surface_animation.lay

cd ../../..
